Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0046535
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] Coretrivialhave not tried2021-05-06 09:072021-05-17 15:23
ReportermigueldejuanaView Statuspublic 
Assigned Tomigueldejuana 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0046535: Wrong overlay for circle icon buttons

Description- Contextual button (3 dots icon), has the overlay div not centered. Check it in Customers window grid at the end of grid rows. Put the mouse hover it to see the problem.
- In Customers window, after adding a filter, the X button must be a circle centered button
- In Discounts window, the button to delete a discount, has the overlay div not centered.Put the mouse hover it to see the problem.
Steps To Reproducen/a
Tagsscss
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0128124)
hgbot (developer)
2021-05-14 12:58

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/503 [^]
(0128125)
hgbot (developer)
2021-05-14 13:04

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/454 [^]
(0128251)
hgbot (developer)
2021-05-17 15:22

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2 [^]
Changeset: a5d4abbf5fcfc51c77fc71ea579a5e8cf6280394
Author: Miguel de Juana <miguel.dejuana@openbravo.com>
Date: 2021-05-17T13:21:56+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/commit/a5d4abbf5fcfc51c77fc71ea579a5e8cf6280394 [^]

fixes ISSUE-46535: Wrong overlay for cirle icon buttons

- Do not apply margins for buttons. Only apply margins for texts
- Fix format changes

---
M web-jspack/org.openbravo.core2/src/components/Grid/DataGrid/BaseRowRender.scss
M web-jspack/org.openbravo.core2/src/components/Grid/DataGrid/DataGrid.scss
---
(0128252)
hgbot (developer)
2021-05-17 15:22

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/503 [^]
(0128253)
hgbot (developer)
2021-05-17 15:23

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: 52581eb0d0aa7881660687b0c674bbb43d60a56f
Author: Miguel de Juana <miguel.dejuana@openbravo.com>
Date: 2021-05-17T13:22:30+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/52581eb0d0aa7881660687b0c674bbb43d60a56f [^]

fixes ISSUE-46535: Wrong overlay for cirle icon buttons

- Set action buttons to the height of the line 5.2rem

---
M web-jspack/org.openbravo.pos2/src/components/Customer/CustomerGrid/CustomerGrid.jsx
M web-jspack/org.openbravo.pos2/src/components/Customer/CustomerGrid/CustomerGrid.scss
M web-jspack/org.openbravo.pos2/src/components/Discounts/ManualDiscount/DiscountPanelGrid/DiscountPanelGrid.scss
M web-jspack/org.openbravo.pos2/src/components/TicketList/TicketListRemoteGrid/TicketListRemoteGrid.jsx
M web-jspack/org.openbravo.pos2/src/components/TicketList/TicketListRemoteGrid/TicketListRemoteGrid.scss
---
(0128254)
hgbot (developer)
2021-05-17 15:23

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/454 [^]

- Issue History
Date Modified Username Field Change
2021-05-06 09:07 migueldejuana New Issue
2021-05-06 09:07 migueldejuana Assigned To => Retail
2021-05-06 09:07 migueldejuana Triggers an Emergency Pack => No
2021-05-07 12:29 guilleaer Status new => acknowledged
2021-05-11 15:59 migueldejuana Assigned To Retail => migueldejuana
2021-05-14 07:37 migueldejuana Tag Attached: scss
2021-05-14 12:58 hgbot Note Added: 0128124
2021-05-14 13:04 hgbot Note Added: 0128125
2021-05-14 13:48 migueldejuana Status acknowledged => scheduled
2021-05-14 13:51 migueldejuana Summary Wrong overlay for cirle icon buttons => Wrong overlay for circle icon buttons
2021-05-17 15:22 hgbot Resolution open => fixed
2021-05-17 15:22 hgbot Status scheduled => closed
2021-05-17 15:22 hgbot Note Added: 0128251
2021-05-17 15:22 hgbot Note Added: 0128252
2021-05-17 15:23 hgbot Note Added: 0128253
2021-05-17 15:23 hgbot Note Added: 0128254


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker